English

How To: Install ArcSDE for Oracle 8i on Solaris

Procedure

Important aspects to note when installing ArcSDE for Oracle 8i on Solaris.

Solution:
1. If Oracle 8.1.5.1 must be installed on a Solaris system, make sure to include /usr/ucblib in the LD_LIBRARY_PATH for the Oracle user. If /usr/ucblib is not included, Oracle will not link the patch correctly and ArcSDE will not start. If this happens, everything must be uninstalled. Add /usr/ucblib to LD_LIBRARY_PATH, install 8.1.5, and then install the patch.

2. If upgrading an Oracle 8.1.5 server to Oracle 8.1.6 on a Solaris, it must be install to a new ORACLE_HOME. It is not possible to install 8.1.6 over 8.1.5 or 8.1.5.1. If the use of the old ORACLE_HOME is desired, save the $ORACLE_HOME/dbs, $ORACLE_HOME/network/admin and $ORACLE_BASE/admin directories and delete all other Oracle files and directories under ORACLE_HOME before installing 8.1.6. After installing Oracle 8.1.6, remove the 8.1.6 $ORACLE_HOME/dbs, $ORACLE_HOME/network/admin and $ORACLE_BASE/admin directories and replace them with the saved ones. Start the Oracle server and then upgrade the database as follows:

Code:
cd $ORACLE_HOME/rdbms/admin
svrmgrl
connect internal
@u0801050

The ArcSDE server will start after running this script.